Update status and/or limits for the specified client
curl --request PUT \
--url https://api.gcore.com/fastedge/v1/admin/clients/{client_id} \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"plan_id": 123,
"networks": [
"<string>"
]
}
'import requests
url = "https://api.gcore.com/fastedge/v1/admin/clients/{client_id}"
payload = {
"plan_id": 123,
"networks": ["<string>"]
}
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({plan_id: 123, networks: ['<string>']})
};
fetch('https://api.gcore.com/fastedge/v1/admin/clients/{client_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"error": "<string>"
}{
"error": "<string>"
}Clients
Update status and/or limits for the specified client
Modify client account settings including status, resource limits, and plan assignment. Use this to enable/disable clients or adjust their quotas.
PUT
/
fastedge
/
v1
/
admin
/
clients
/
{client_id}
Update status and/or limits for the specified client
Authorizations
API key for authentication. Make sure to include the word apikey, followed by a single space and then your token.
Example: apikey 1234$abcdef
Path Parameters
Unique identifier of the client
Body
application/json
Updated client configuration (status, limits, and quotas)
Response
Client updated successfully
Was this page helpful?
⌘I